ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package read
  Definition Classes
    ds
- ADAMBAMOutputFormat
- ADAMBAMOutputFormatHeaderLess
- ADAMCRAMOutputFormat
- ADAMCRAMOutputFormatHeaderLess
- ADAMSAMOutputFormat
- ADAMSAMOutputFormatHeaderLess
- AlignmentDataset
- AnySAMInFormatter
- AnySAMInFormatterCompanion
- AnySAMOutFormatter
- BAMInFormatter
- DatasetBoundAlignmentDataset
- DatasetBoundReadDataset
- FASTQInFormatter
- IncorrectMDTagException
- ParquetUnboundAlignmentDataset
- ParquetUnboundReadDataset
- QualityScoreBin
- RDDBoundAlignmentDataset
- RDDBoundReadDataset
- ReadDataset
- ReferencePositionPairSerializer
- SAMInFormatter
- SingleReadBucketSerializer

c

org.bdgenomics.adam.ds.read

# SingleReadBucketSerializer 

###

#### class SingleReadBucketSerializer extends Serializer[SingleReadBucket]

Linear Supertypes
Serializer[SingleReadBucket], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SingleReadBucketSerializer
2. Serializer
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SingleReadBucketSerializer()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  def copy(arg0: Kryo, arg1: SingleReadBucket): SingleReadBucket
   Definition Classes
     Serializer
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def getAcceptsNull(): Boolean
   Definition Classes
     Serializer
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  def isImmutable(): Boolean
    Definition Classes
      Serializer
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
17.  def read(kryo: Kryo, input: Input, klazz: Class[SingleReadBucket]): SingleReadBucket
    Definition Classes
      SingleReadBucketSerializer → Serializer
18.  def readArray(kryo: Kryo, input: Input): Seq[Alignment]
19.  val recordSerializer: AvroSerializer[Alignment]
20.  def setAcceptsNull(arg0: Boolean): Unit
    Definition Classes
      Serializer
21.  def setGenerics(arg0: Kryo, arg1: Array[Class[_]]): Unit
    Definition Classes
      Serializer
22.  def setImmutable(arg0: Boolean): Unit
    Definition Classes
      Serializer
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  def write(kryo: Kryo, output: Output, groupedReads: SingleReadBucket): Unit
    Definition Classes
      SingleReadBucketSerializer → Serializer
29.  def writeArray(kryo: Kryo, output: Output, reads: Seq[Alignment]): Unit

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializer[SingleReadBucket]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped